Bug 502206 - conflicting typedef (failed ifdef) in jas_types.h
Summary: conflicting typedef (failed ifdef) in jas_types.h
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw32-jasper
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-22 15:02 UTC by Stefan Riemens
Modified: 2010-12-05 06:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:53:50 UTC


Attachments (Terms of Use)

Description Stefan Riemens 2009-05-22 15:02:48 UTC
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1b4) Gecko/20090427 Fedora/3.5-0.20.beta4.fc11 Firefox/3.5b4

When x-compiling openscenegraph (www.openscenegraph.org, i'm using trunk revision 10262), eventually the following error occurs:

In file included from /usr/i686-pc-mingw32/sys-root/mingw/include/jasper/jasper.h:66,
                 from /home/stefan/flightgear/mingw/osg/OpenSceneGraph/src/osgPlugins/jp2/ReaderWriterJP2.cpp:20:
/usr/i686-pc-mingw32/sys-root/mingw/include/jasper/jas_types.h:149: error: conflicting declaration 'typedef signed char int_fast8_t'
/usr/i686-pc-mingw32/sys-root/mingw/include/stdint.h:50: error: 'int_fast8_t' has a previous declaration as 'typedef char int_fast8_t'
make[2]: *** [src/osgPlugins/jp2/CMakeFiles/osgdb_jp2.dir/ReaderWriterJP2.obj] Error 1
make[1]: *** [src/osgPlugins/jp2/CMakeFiles/osgdb_jp2.dir/all] Error 2
make: *** [all] Error 2

The expected result is of course that this would just compile. 

Reproducible: Always

Steps to Reproduce:
1. Get osg sources
2. install the basic mingw packages, cmake and mingw-jasper
3. try to x-compile osg
Actual Results:  
compilation errors, see detailed description above

Expected Results:  
Succeeding compile

This seems to be a problem with jasper, trying to redefine int_fast8_t, in file jasper/jas_types.h, line 149. A workaround is to simply remove this line. This yields the expected result. I'm not sure though, whether this is the way to go, since i'm not a real programmer myself.

I'm sorry for not being able to create a smaller testcase, but i'm not a real programmer myself.

Comment 1 Richard W.M. Jones 2009-05-22 15:13:02 UTC
My first thought is, is this an upstream problem?

Have you tried sending a patch to the upstream lists?

http://www.ece.uvic.ca/~mdadams/jasper/

Comment 2 Stefan Riemens 2009-05-23 19:37:48 UTC
No, i haven't done so yet. Will look into reporting it there. I'll report back when i get an answer. Thanks for a great set of tools!

Comment 3 Bug Zapper 2009-06-09 16:20:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Erik van Pienbroek 2009-08-23 16:40:26 UTC
Is there any news on this issue? The jasper mailing list seems to be kinda closed (you have to create a Yahoo account just to view the mailing list archives...)

Comment 5 Stefan Riemens 2009-10-14 17:18:34 UTC
unfortunately, there is no news other than that the problem is still present. I just ran into it again on f12. The same workaround still works, but is of cource a bit spartan... I didn't report this upstream (even though i wanted to) since i don't feel like creating a yahoo account...

Comment 6 Bug Zapper 2009-11-16 10:00:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-11-04 11:12:59 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-12-05 06:53:50 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.